JAXWSAConstants (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.ws.addressing

## Class JAXWSAConstants

- java.lang.Object
- - org.apache.cxf.ws.addressing.JAXWSAConstants

-     public final class JAXWSAConstants
      extends Object

  A container for WS-Addressing constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ADDRESSING_PROPERTIES_INBOUND` | Well-known Property names for AddressingProperties in Handler Context.
    `static String` | `ADDRESSING_PROPERTIES_OUTBOUND` |
    `static String` | `CLIENT_ADDRESSING_PROPERTIES` | Well-known Property names for AddressingProperties in BindingProvider Context.
    `static String` | `CLIENT_ADDRESSING_PROPERTIES_INBOUND` | Deprecated.
    `static String` | `CLIENT_ADDRESSING_PROPERTIES_OUTBOUND` | Deprecated.
    `static String` | `NS_WSA` |
    `static String` | `NS_WSAM` |
    `static String` | `NS_WSAW` |
    `static String` | `NS_WSDLI` |
    `static String` | `SERVER_ADDRESSING_PROPERTIES_INBOUND` | Deprecated.
    `static String` | `SERVER_ADDRESSING_PROPERTIES_OUTBOUND` | Deprecated.
    `static String` | `WSA_ADDRESS_NAME` |
    `static String` | `WSA_ERF_NAME` |
    `static String` | `WSA_METADATA_NAME` |
    `static String` | `WSA_PREFIX` |
    `static String` | `WSA_REFERENCEPARAMETERS_NAME` |
    `static String` | `WSA_XSD` |
    `static QName` | `WSAM_ACTION_QNAME` |
    `static String` | `WSAM_ENDPOINT_NAME` |
    `static String` | `WSAM_INTERFACE_NAME` |
    `static String` | `WSAM_PREFIX` |
    `static String` | `WSAM_SERVICENAME_NAME` |
    `static QName` | `WSAW_ACTION_QNAME` |
    `static String` | `WSAW_PREFIX` |
    `static QName` | `WSAW_USINGADDRESSING_QNAME` |
    `static String` | `WSDLI_PFX` |
    `static String` | `WSDLI_WSDLLOCATION` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WSAW_PREFIX

          public static final String WSAW_PREFIX

      See Also:
        Constant Field Values

    - #### NS_WSAW

          public static final String NS_WSAW

      See Also:
        Constant Field Values

    - #### WSAM_PREFIX

          public static final String WSAM_PREFIX

      See Also:
        Constant Field Values

    - #### NS_WSAM

          public static final String NS_WSAM

      See Also:
        Constant Field Values

    - #### WSAW_ACTION_QNAME

          public static final QName WSAW_ACTION_QNAME

    - #### WSAM_ACTION_QNAME

          public static final QName WSAM_ACTION_QNAME

    - #### WSAW_USINGADDRESSING_QNAME

          public static final QName WSAW_USINGADDRESSING_QNAME

    - #### NS_WSA

          public static final String NS_WSA

      See Also:
        Constant Field Values

    - #### WSA_PREFIX

          public static final String WSA_PREFIX

      See Also:
        Constant Field Values

    - #### WSA_XSD

          public static final String WSA_XSD

      See Also:
        Constant Field Values

    - #### WSA_ERF_NAME

          public static final String WSA_ERF_NAME

      See Also:
        Constant Field Values

    - #### WSA_REFERENCEPARAMETERS_NAME

          public static final String WSA_REFERENCEPARAMETERS_NAME

      See Also:
        Constant Field Values

    - #### WSA_METADATA_NAME

          public static final String WSA_METADATA_NAME

      See Also:
        Constant Field Values

    - #### WSA_ADDRESS_NAME

          public static final String WSA_ADDRESS_NAME

      See Also:
        Constant Field Values

    - #### WSAM_SERVICENAME_NAME

          public static final String WSAM_SERVICENAME_NAME

      See Also:
        Constant Field Values

    - #### WSAM_INTERFACE_NAME

          public static final String WSAM_INTERFACE_NAME

      See Also:
        Constant Field Values

    - #### WSAM_ENDPOINT_NAME

          public static final String WSAM_ENDPOINT_NAME

      See Also:
        Constant Field Values

    - #### WSDLI_PFX

          public static final String WSDLI_PFX

      See Also:
        Constant Field Values

    - #### WSDLI_WSDLLOCATION

          public static final String WSDLI_WSDLLOCATION

      See Also:
        Constant Field Values

    - #### NS_WSDLI

          public static final String NS_WSDLI

      See Also:
        Constant Field Values

    - #### CLIENT_ADDRESSING_PROPERTIES

          public static final String CLIENT_ADDRESSING_PROPERTIES

      Well-known Property names for AddressingProperties in BindingProvider Context.
      See Also:
        Constant Field Values

    - #### ADDRESSING_PROPERTIES_INBOUND

          public static final String ADDRESSING_PROPERTIES_INBOUND

      Well-known Property names for AddressingProperties in Handler Context.
      See Also:
        Constant Field Values

    - #### ADDRESSING_PROPERTIES_OUTBOUND

          public static final String ADDRESSING_PROPERTIES_OUTBOUND

      See Also:
        Constant Field Values

    - #### CLIENT_ADDRESSING_PROPERTIES_INBOUND

          @Deprecated
          public static final String CLIENT_ADDRESSING_PROPERTIES_INBOUND

      Deprecated.
      See Also:
        Constant Field Values

    - #### CLIENT_ADDRESSING_PROPERTIES_OUTBOUND

          @Deprecated
          public static final String CLIENT_ADDRESSING_PROPERTIES_OUTBOUND

      Deprecated.
      See Also:
        Constant Field Values

    - #### SERVER_ADDRESSING_PROPERTIES_INBOUND

          @Deprecated
          public static final String SERVER_ADDRESSING_PROPERTIES_INBOUND

      Deprecated.
      See Also:
        Constant Field Values

    - #### SERVER_ADDRESSING_PROPERTIES_OUTBOUND

          @Deprecated
          public static final String SERVER_ADDRESSING_PROPERTIES_OUTBOUND

      Deprecated.
      See Also:
        Constant Field Values